package com.example.chemical.ui.plan.room.bean.input_add;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import com.example.chemical.ui.plan.room.RoomConverter;
import com.example.chemical.ui.plan.room.bean.locker.CabinetLayerSelect;
import com.rc.httpcore.bean.BelongingPersonBean;
import com.rc.httpcore.bean.HxpChemicalVo;
import com.rc.httpcore.bean.TopicDataBean;

import java.io.Serializable;

@Entity
@TypeConverters(RoomConverter.class)
public class InventoryItemBean implements Serializable {
    @PrimaryKey(autoGenerate = true)
    private int id;
    private long cabinetId;
    private long doorId;
    private int layer;
    // 化学品信息
    private HxpChemicalVo hxpChemicalVo;
    // 归属人信息
    private BelongingPersonBean belongingPersonBean;
    // 课题组
    private TopicDataBean topicDataBean;
    // 化学品数量
    private int size;

    public InventoryItemBean(long cabinetId, long doorId, int layer) {
        this.cabinetId = cabinetId;
        this.doorId = doorId;
        this.layer = layer;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public int getLayer() {
        return layer;
    }

    public void setLayer(int layer) {
        this.layer = layer;
    }

    public HxpChemicalVo getHxpChemicalVo() {
        return hxpChemicalVo;
    }

    public void setHxpChemicalVo(HxpChemicalVo hxpChemicalVo) {
        this.hxpChemicalVo = hxpChemicalVo;
    }

    public BelongingPersonBean getBelongingPersonBean() {
        return belongingPersonBean;
    }

    public void setBelongingPersonBean(BelongingPersonBean belongingPersonBean) {
        this.belongingPersonBean = belongingPersonBean;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public TopicDataBean getTopicDataBean() {
        return topicDataBean;
    }

    public void setTopicDataBean(TopicDataBean topicDataBean) {
        this.topicDataBean = topicDataBean;
    }
}
